pluginManagement {
    repositories {
        google {
            content {
                includeGroupByRegex("com\\.android.*")
                includeGroupByRegex("com\\.google.*")
                includeGroupByRegex("androidx.*")
            }
        }
        mavenCentral()
        gradlePluginPortal()
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()

        //------------------------- IronSource
        maven {
            url = uri("https://android-sdk.is.com/")
        }
        maven {
            url = uri("https://dl.bintray.com/ironsource-mobile/android-sdk")
        }
        maven {
            url = uri("https://dl.bintray.com/ironsource-mobile/android-adapters")
        }
        maven {
            url = uri("https://cboost.jfrog.io/artifactory/chartboost-ads/")
        }
        maven {
            url = uri("https://dl-maven-android.mintegral.com/repository/mbridge_android_sdk_oversea")
        }
        maven {
            url = uri("https://artifact.bytedance.com/repository/pangle")
        }
    }
}

rootProject.name = "WallpaperGallery"
include(":app")
 